public inbox for passt-dev@passt.top
 help / color / mirror / code / Atom feed
* [PATCH] test/distro/opensuse: Add Tumbleweed armv7l test
@ 2022-02-28 15:42 Stefano Brivio
  0 siblings, 0 replies; only message in thread
From: Stefano Brivio @ 2022-02-28 15:42 UTC (permalink / raw)
  To: passt-dev

[-- Attachment #1: Type: text/plain, Size: 1731 bytes --]

Signed-off-by: Stefano Brivio <sbrivio(a)redhat.com>
---
 test/distro/opensuse | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/test/distro/opensuse b/test/distro/opensuse
index 6e29b45..a2c0944 100644
--- a/test/distro/opensuse
+++ b/test/distro/opensuse
@@ -152,6 +152,35 @@ hint
 sleep	1
 
 
+test	OpenSUSE Tumbleweed armv7l
+
+temp	IMG
+temp	ZIMAGE
+temp	INITRD
+host	wget http://download.opensuse.org/ports/armv7hl/tumbleweed/appliances/openSUSE-Tumbleweed-ARM-JeOS-efi.armv7l.raw.xz -O - | xz -d > __IMG__
+host	guestfish -a __IMG__ -i download /boot/zImage __ZIMAGE__
+host	guestfish -a __IMG__ -i download /boot/initrd __INITRD__
+host	virt-edit -a __IMG__ -m /dev/sda3 /usr/lib/systemd/system/serial-getty(a).service -e 's/ExecStart=.*/ExecStart=\/sbin\/agetty --timeout 5000 --autologin root -i -8 --keep-baud 115200,38400,9600 %I $TERM/g'
+host	guestfish --rw -a __IMG__ -i copy-in __GUEST_FILES__ /root/
+
+host	./qrap 5 qemu-system-arm -M virt -m 1024 -nographic -serial stdio -nodefaults -no-reboot -nographic -vga none -kernel __ZIMAGE__ -initrd __INITRD__ -append 'root=/dev/sda3' -drive if=none,file=__IMG__,format=raw,id=hd,media=disk -device virtio-scsi-device -device scsi-hd,drive=hd -netdev socket,fd=5,id=passt -device virtio-net-device,netdev=passt
+host	PS1='$ '
+host	ip link set eth0 up
+sleep	10
+host	echo "DNSSERVERS='__DNS6__'" | netconfig modify -s dns_resolver -i eth0
+sleep	10
+host	zypper install -y gcc make netcat-openbsd; echo
+
+host	make clean
+hout	RET CFLAGS="-Werror" make; echo $?
+check	[ __RET__ -eq 0 ]
+
+distro_quick_pasta_test
+
+hint
+sleep	1
+
+
 test	OpenSUSE Tumbleweed
 
 temp	IMG
-- 
@@ -152,6 +152,35 @@ hint
 sleep	1
 
 
+test	OpenSUSE Tumbleweed armv7l
+
+temp	IMG
+temp	ZIMAGE
+temp	INITRD
+host	wget http://download.opensuse.org/ports/armv7hl/tumbleweed/appliances/openSUSE-Tumbleweed-ARM-JeOS-efi.armv7l.raw.xz -O - | xz -d > __IMG__
+host	guestfish -a __IMG__ -i download /boot/zImage __ZIMAGE__
+host	guestfish -a __IMG__ -i download /boot/initrd __INITRD__
+host	virt-edit -a __IMG__ -m /dev/sda3 /usr/lib/systemd/system/serial-getty(a).service -e 's/ExecStart=.*/ExecStart=\/sbin\/agetty --timeout 5000 --autologin root -i -8 --keep-baud 115200,38400,9600 %I $TERM/g'
+host	guestfish --rw -a __IMG__ -i copy-in __GUEST_FILES__ /root/
+
+host	./qrap 5 qemu-system-arm -M virt -m 1024 -nographic -serial stdio -nodefaults -no-reboot -nographic -vga none -kernel __ZIMAGE__ -initrd __INITRD__ -append 'root=/dev/sda3' -drive if=none,file=__IMG__,format=raw,id=hd,media=disk -device virtio-scsi-device -device scsi-hd,drive=hd -netdev socket,fd=5,id=passt -device virtio-net-device,netdev=passt
+host	PS1='$ '
+host	ip link set eth0 up
+sleep	10
+host	echo "DNSSERVERS='__DNS6__'" | netconfig modify -s dns_resolver -i eth0
+sleep	10
+host	zypper install -y gcc make netcat-openbsd; echo
+
+host	make clean
+hout	RET CFLAGS="-Werror" make; echo $?
+check	[ __RET__ -eq 0 ]
+
+distro_quick_pasta_test
+
+hint
+sleep	1
+
+
 test	OpenSUSE Tumbleweed
 
 temp	IMG
-- 
2.34.1


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2022-02-28 15:42 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-02-28 15:42 [PATCH] test/distro/opensuse: Add Tumbleweed armv7l test Stefano Brivio

Code repositories for project(s) associated with this public inbox

	https://passt.top/passt

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for IMAP folder(s).